# Poco::Crypto

# class DecryptingOutputStream

Library: Crypto
Package: Cipher
Header: Poco/Crypto/CryptoStream.h

## Description

This stream decrypts all data passing through it using the given Cipher.

## Inheritance

Direct Base Classes: CryptoIOS, std::ostream

All Base Classes: CryptoIOS, std::ios, std::ostream

## Member Summary

Member Functions: close

Inherited Functions: rdbuf

## Constructors

### DecryptingOutputStream

DecryptingOutputStream(
std::ostream & ostr,
Cipher & cipher,
std::streamsize bufferSize = 8192
);

Create a new DecryptingOutputStream object using the given cipher.

## Destructor

### ~DecryptingOutputStream

~DecryptingOutputStream();

Destroys the DecryptingOutputStream.

## Member Functions

### close

void close();

Flushes all buffers and finishes the decryption.